<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionShipmentNotificationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionShipmentNotification">
        <id column="id" property="id" />
        <result column="shipment_date" property="shipmentDate" />
        <result column="customer_name" property="customerName" />
        <result column="material_name" property="materialName" />
        <result column="white_strip_number" property="whiteStripNumber" />
        <result column="quantity" property="quantity" />
        <result column="unit" property="unit" />
        <result column="auxiliary_quantity" property="auxiliaryQuantity" />
        <result column="auxiliary_unit" property="auxiliaryUnit" />
        <result column="unit_price" property="unitPrice" />
        <result column="amount" property="amount" />
        <result column="transfer_to_sales_delivery_note" property="transferToSalesDeliveryNote" />
        <result column="receivable_customer" property="receivableCustomer" />
        <result column="product_type" property="productType" />
        <result column="total_deduction" property="totalDeduction" />
        <result column="customer_channel" property="customerChannel" />
        <result column="warehouse" property="warehouse" />
        <result column="customer_number" property="customerNumber" />
        <result column="sales_weight" property="salesWeight" />
        <result column="sales_deduction_percentage" property="salesDeductionPercentage" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
